Public Member Functions | Public Attributes | List of all members
librevenge::RVNGStringImpl Class Reference

## Public Member Functions
| RVNGStringImpl ()
bool | empty () const
int | len () const
unsigned long | size () const
void | appendEscapedXML (const char *s, const unsigned long sz)

## Public Attributes
std::string | m_buf

## Constructor & Destructor Documentation

## ◆ RVNGStringImpl()

librevenge::RVNGStringImpl::RVNGStringImpl | ( |  | ) |
| inline

## Member Function Documentation

## ◆ appendEscapedXML()

void librevenge::RVNGStringImpl::appendEscapedXML | ( | const char * | s,
|  | const unsigned long | sz
| ) |  |

Referenced by librevenge::RVNGString::appendEscapedXML().

## ◆ empty()

bool librevenge::RVNGStringImpl::empty | ( |  | ) | const
| inline

Referenced by librevenge::RVNGString::empty(), and len().

## ◆ len()

int librevenge::RVNGStringImpl::len | ( |  | ) | const
| inline

Referenced by librevenge::RVNGString::len().

## ◆ size()

unsigned long librevenge::RVNGStringImpl::size | ( |  | ) | const
| inline

Referenced by librevenge::RVNGString::size().

## Member Data Documentation

## ◆ m_buf

std::string librevenge::RVNGStringImpl::m_buf

Referenced by librevenge::RVNGString::append(), appendEscapedXML(), librevenge::RVNGString::clear(), librevenge::RVNGString::cstr(), empty(), librevenge::RVNGString::Iter::Iter(), librevenge::RVNGString::Iter::last(), len(), librevenge::RVNGString::Iter::next(), librevenge::RVNGString::Iter::operator()(), librevenge::RVNGString::operator<(), librevenge::RVNGString::operator=(), librevenge::RVNGString::operator==(), librevenge::RVNGString::RVNGString(), and size().

The documentation for this class was generated from the following file:

- RVNGString.cpp